<?php

use TYPO3\CMS\Core\Resource\File;

$columns = [
	'ctrl' => [
		'title' => 'LLL:EXT:sg_forms_pdf/Resources/Private/Language/locallang_db.xlf:tx_sgformspdf_domain_model_pdftemplate',
		'label' => 'file',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
		],
		'security' => [
			'ignorePageTypeRestriction' => TRUE
		],
		'searchFields' => '',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l18n_parent',
		'translationSource' => 'l10n_source',
		'transOrigDiffSourceField' => 'l18n_diffsource',
		'iconfile' => 'EXT:sg_forms_pdf/Resources/Public/Icons/tx_sgformspdf_domain_model_pdftemplate.svg'
	],
	'interface' => [
		'showRecordFieldList' => 'hidden, file',
	],
	'types' => [
		'1' => ['showitem' => 'sys_language_uid,hidden, file,'],
	],
	'columns' => [
		'sys_language_uid' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
			'config' => ['type' => 'language']
		],
		'hidden' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:hidden.I.0',
			'config' => [
				'type' => 'check',
			],
		],
		'file' => [
			'exclude' => TRUE,
			'label' => 'LLL:EXT:sg_forms_pdf/Resources/Private/Language/locallang_db.xlf:tx_sgformspdf_domain_model_pdftemplate.file',
			'config' => [
				'type' => 'file',
				'maxitems' => 1,
				'allowed' => 'pdf',
				'overrideChildTca' => [
					'types' => [
						File::FILETYPE_APPLICATION => [
							'showitem' => '
								--palette--;LLL:EXT:core/Resources/Private/Language/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
								--palette--;;filePalette'
						]
					]
				],
			]
		]
	],
];

return $columns;
